petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSectionSetFieldOffset

Set the offset into an array or local Vec for the dof associated with the given point.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionSetFieldOffset(PetscSection s, PetscInt point, PetscInt field, PetscInt offset)

Not collective

### Input Parameters

| s | - the PetscSection
| point | - the point
| field | - the field
| offset | - the offset

Note: The user usually does not call this function, but uses PetscSectionSetUp()

### See Also

PetscSectionGetOffset(), PetscSectionCreate(), PetscSectionSetUp()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages